Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.apache.struts2.tiles.annotation
Annotation Type TilesDefinition

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    @Inherited
    public @interface TilesDefinition

Represents a `<definition>` element in `tiles.xml`.

With a sample layout in `tiles.xml` like this:

          <definition name="layout" template="/WEB-INF/tiles/layout.jsp">
              <put-attribute name="header" value=".header"/>
              <put-attribute name="body" value=".body"/>
          </definition>

You can annotate an action like that:

###

###

###

###

###

###

###

###

###

    Optional Element Summary

     String
    extend

     String
    name

     String
    preparer

     TilesPutAttribute[]
    putAttributes

     TilesPutListAttribute[]
    putListAttributes

     String
    role

     String
    template

     String
    templateExpression

     String
    templateType

    extend

    public abstract String extend

    Default:""

    name

    public abstract String name

    Default:""

    preparer

    public abstract String preparer

    Default:""

    role

    public abstract String role

    Default:""

    template

    public abstract String template

    Default:""

    templateExpression

    public abstract String templateExpression

    Default:""

    templateType

    public abstract String templateType

    Default:""

    putAttributes

    public abstract TilesPutAttribute[] putAttributes

    Default:{}

    putListAttributes

    public abstract TilesPutListAttribute[] putListAttributes

    Default:{}

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: REQUIRED | OPTIONAL

    DETAIL: ELEMENT

    Copyright © 2000–2018 Apache Software Foundation. All rights reserved.